import { useEditor } from "@/modules/editor";
import { queenApi } from "queenjs";
import { string } from "vue-types";
import { createUIComp } from "../../defines/createUIComp";
import { useCompData } from ".";

export const Component = createUIComp({
  props: {
    compId: string(),
    value: string(),
  },
  emits: ["update:value"],
  setup(props, { emit }) {
    const comp = props.compId ? useCompData(props.compId) : null;
    const { store, controls } = useEditor();
    async function changeVal() {
      
      const url = await controls.pickCtrl.pickOneImage();
      if (!url) return;
      
      if (comp) {
        comp.value = url;
      } else {
        emit("update:value", url);
      }
    }
    return () => (
      <img
        class="w-1/1 h-1/1 object-cover"
        src={comp?.value || props.value}
        onDblclick={store.isEditMode ? changeVal : undefined}
      />
    );
  },
});
